Page MenuHomePhabricator

Move cache text cluster from nginx to ats-tls
Closed, ResolvedPublic

Description

Current status:

  • eqiad:
    • cp1075
    • cp1077
    • cp1079
    • cp1081
    • cp1083
    • cp1085
    • cp1087
    • cp1089
  • codfw:
    • cp2001
    • cp2004
    • cp2006
    • cp2007
    • cp2010
    • cp2012
    • cp2013
    • cp2016
    • cp2019
    • cp2023
  • esams:
    • cp3050
    • cp3052
    • cp3054
    • cp3056
    • cp3058
    • cp3060
    • cp3062
    • cp3064
  • ulsfo:
    • cp4027
    • cp4028
    • cp4029
    • cp4030
    • cp4031
    • cp4032
  • eqsin:
    • cp5007
    • cp5008
    • cp5009
    • cp5010
    • cp5011
    • cp5012

Details

Related Gerrit Patches:
operations/puppet : productionmonitoring: remove nginx availability alerts
operations/puppet : productionhiera: Set ats-tls on port 443 globally
operations/puppet : productionhiera: Set nginx on port 4443 for the caching clusters
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1087
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1087
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1085
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1085
operations/puppet : productionhiera: Set ats-tls on port 443 for text cluster on codfw
operations/puppet : productionhiera: Set nginx on port 4443 for text cluster on codfw
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2019
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2019
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2016
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2016
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2013
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2013
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1083
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1083
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1081
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1081
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2012
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2012
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2007
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2007
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1079
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1079
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1077
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp1077
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2006
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2006
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2004
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2004
operations/puppet : productionhiera: Set ats-tls on port 443 for the text/text_ats cluster on esams
operations/puppet : productionhiera: Set nginx on port 4443 for the text/text_ats cluster on esams
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3062
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp3062
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3060
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp3060
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3058
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp3058
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3054
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp3054
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3052
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp3052
operations/puppet : productionhiera: Set ats-tls on port 443 for cache text_ats on eqsin
operations/puppet : productionhiera: Set nginx on port 4443 for cache text_ats on eqsin
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp5011
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp5011
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp5010
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp5010
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp5009
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp5009
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp5008
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp5008
operations/puppet : productionhiera: Set ats-tls on port 443 for cache text_ats on ulsfo
operations/puppet : productionhiera: Set nginx on port 4443 for cache text_ats on ulsfo
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp4031
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp4031
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp4030
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp4030
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp4029
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp4029
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp4028
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp4028
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp3050
operations/puppet : productionhiera: Move nginx from port 443 to 4443 on cp3050
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp1075
operations/puppet : productionhiera: Move nginx from port 443 to 4443 on cp1075
operations/puppet : productionhiera: Move ats-tls from port 8443 to port 443 on cp2001
operations/puppet : productionhiera: Move nginx from port 443 to port 4443 on cp2001
operations/puppet : productionhiera: Move ats-tls from port 8443 to 443 on cp3030
operations/puppet : productionhiera: Move nginx from port 443 to 4443 on cp3030
operations/puppet : productionATS: Gather metrics regarding parent servers
operations/puppet : productionhiera: Move ats-tls from port 8443 to 443 on cp5007
operations/puppet : productionhiera: Move nginx from port 443 to 4443 on cp5007
operations/puppet : productionhiera: Move ats-tls from port 8443 to 443 on cp4027
operations/puppet : productionhiera: Move nginx from port 443 to 4443 on cp4027
operations/puppet : productionhiera: Move ats-tls from port 8443 to 443 on cp4027
operations/puppet : productionATS: Move libhwloc5 pin to trafficserver class
operations/puppet : productioncache: Deploy ats-tls in the text cluster
operations/puppet : productionATS: Provide HTTPS check
operations/puppet : productionATS: Add known websocket endpoints to the TLS instance mapping rules

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 551142 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2006

https://gerrit.wikimedia.org/r/551142

Change 551141 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2006

https://gerrit.wikimedia.org/r/551141

Mentioned in SAL (#wikimedia-operations) [2019-11-15T08:42:44Z] <vgutierrez> Move cp2006 from nginx to ats-tls - T231627

Change 551142 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2006

https://gerrit.wikimedia.org/r/551142

Vgutierrez updated the task description. (Show Details)Fri, Nov 15, 8:54 AM

Change 551143 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1077

https://gerrit.wikimedia.org/r/551143

Change 551144 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1077

https://gerrit.wikimedia.org/r/551144

Mentioned in SAL (#wikimedia-operations) [2019-11-15T09:02:31Z] <vgutierrez> Move cp1077 from nginx to ats-tls - T231627

Change 551143 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1077

https://gerrit.wikimedia.org/r/551143

Change 551144 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1077

https://gerrit.wikimedia.org/r/551144

Vgutierrez updated the task description. (Show Details)Fri, Nov 15, 9:14 AM

Change 551150 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1079

https://gerrit.wikimedia.org/r/551150

Change 551151 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1079

https://gerrit.wikimedia.org/r/551151

Mentioned in SAL (#wikimedia-operations) [2019-11-15T09:18:35Z] <vgutierrez> Move cp1079 from nginx to ats-tls - T231627

Change 551150 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1079

https://gerrit.wikimedia.org/r/551150

Change 551151 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1079

https://gerrit.wikimedia.org/r/551151

Vgutierrez updated the task description. (Show Details)Fri, Nov 15, 9:36 AM

Change 551358 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2007

https://gerrit.wikimedia.org/r/551358

Change 551359 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2007

https://gerrit.wikimedia.org/r/551359

Mentioned in SAL (#wikimedia-operations) [2019-11-18T03:40:08Z] <vgutierrez> Move cp2007 from nginx to ats-tls - T231627

Change 551358 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2007

https://gerrit.wikimedia.org/r/551358

Change 551359 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2007

https://gerrit.wikimedia.org/r/551359

Vgutierrez updated the task description. (Show Details)Mon, Nov 18, 3:50 AM

Change 551365 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2012

https://gerrit.wikimedia.org/r/551365

Change 551366 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2012

https://gerrit.wikimedia.org/r/551366

Mentioned in SAL (#wikimedia-operations) [2019-11-18T06:12:31Z] <vgutierrez> Move cp2012 from nginx to ats-tls - T231627

Change 551365 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2012

https://gerrit.wikimedia.org/r/551365

Change 551366 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2012

https://gerrit.wikimedia.org/r/551366

Vgutierrez updated the task description. (Show Details)Mon, Nov 18, 6:25 AM

Change 551367 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1081

https://gerrit.wikimedia.org/r/551367

Change 551368 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1081

https://gerrit.wikimedia.org/r/551368

Mentioned in SAL (#wikimedia-operations) [2019-11-18T06:32:44Z] <vgutierrez> Move cp1081 from nginx to ats-tls - T231627

Change 551367 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1081

https://gerrit.wikimedia.org/r/551367

Change 551368 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1081

https://gerrit.wikimedia.org/r/551368

Vgutierrez updated the task description. (Show Details)Mon, Nov 18, 6:42 AM

Change 551369 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1083

https://gerrit.wikimedia.org/r/551369

Change 551370 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1083

https://gerrit.wikimedia.org/r/551370

Mentioned in SAL (#wikimedia-operations) [2019-11-18T06:52:43Z] <vgutierrez> Move cp1083 from nginx to ats-tls - T231627

Change 551369 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1083

https://gerrit.wikimedia.org/r/551369

Rxy added a subscriber: Rxy.Mon, Nov 18, 6:53 AM

Change 551370 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1083

https://gerrit.wikimedia.org/r/551370

Vgutierrez updated the task description. (Show Details)Mon, Nov 18, 7:08 AM

Change 551703 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2013

https://gerrit.wikimedia.org/r/551703

Change 551704 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2013

https://gerrit.wikimedia.org/r/551704

Mentioned in SAL (#wikimedia-operations) [2019-11-19T03:37:29Z] <vgutierrez> Move cp2013 from nginx to ats-tls - T231627

Change 551703 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2013

https://gerrit.wikimedia.org/r/551703

Change 551704 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2013

https://gerrit.wikimedia.org/r/551704

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 3:45 AM

Change 551708 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2016

https://gerrit.wikimedia.org/r/551708

Change 551709 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2016

https://gerrit.wikimedia.org/r/551709

Mentioned in SAL (#wikimedia-operations) [2019-11-19T03:53:53Z] <vgutierrez> Move cp2016 from nginx to ats-tls - T231627

Change 551708 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2016

https://gerrit.wikimedia.org/r/551708

Change 551709 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2016

https://gerrit.wikimedia.org/r/551709

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 4:01 AM

Change 551711 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2019

https://gerrit.wikimedia.org/r/551711

Change 551712 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2019

https://gerrit.wikimedia.org/r/551712

Mentioned in SAL (#wikimedia-operations) [2019-11-19T04:17:07Z] <vgutierrez> Move cp2019 from nginx to ats-tls - T231627

Change 551711 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp2019

https://gerrit.wikimedia.org/r/551711

Change 551712 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2019

https://gerrit.wikimedia.org/r/551712

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 4:25 AM

Change 551713 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Set nginx on port 4443 for text cluster on codfw

https://gerrit.wikimedia.org/r/551713

Change 551714 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Set ats-tls on port 443 for text cluster on codfw

https://gerrit.wikimedia.org/r/551714

Mentioned in SAL (#wikimedia-operations) [2019-11-19T04:47:09Z] <vgutierrez> Move cp2023 from nginx to ats-tls - T231627

Change 551713 merged by Vgutierrez:
[operations/puppet@production] hiera: Set nginx on port 4443 for text cluster on codfw

https://gerrit.wikimedia.org/r/551713

Change 551714 merged by Vgutierrez:
[operations/puppet@production] hiera: Set ats-tls on port 443 for text cluster on codfw

https://gerrit.wikimedia.org/r/551714

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 5:00 AM

Change 551716 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1085

https://gerrit.wikimedia.org/r/551716

Change 551717 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1085

https://gerrit.wikimedia.org/r/551717

Mentioned in SAL (#wikimedia-operations) [2019-11-19T05:17:19Z] <vgutierrez> Move cp1085 from nginx to ats-tls - T231627

Change 551716 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1085

https://gerrit.wikimedia.org/r/551716

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 5:22 AM

Change 551717 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1085

https://gerrit.wikimedia.org/r/551717

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 5:32 AM

Change 551719 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1087

https://gerrit.wikimedia.org/r/551719

Change 551720 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1087

https://gerrit.wikimedia.org/r/551720

Mentioned in SAL (#wikimedia-operations) [2019-11-19T05:36:45Z] <vgutierrez> Move cp1087 from nginx to ats-tls - T231627

Change 551719 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp1087

https://gerrit.wikimedia.org/r/551719

Change 551720 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp1087

https://gerrit.wikimedia.org/r/551720

Vgutierrez updated the task description. (Show Details)Tue, Nov 19, 5:48 AM

Change 551722 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Set nginx on port 4443 globally

https://gerrit.wikimedia.org/r/551722

Change 551723 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Set ats-tls on port 443 globally

https://gerrit.wikimedia.org/r/551723

Mentioned in SAL (#wikimedia-operations) [2019-11-19T06:26:45Z] <vgutierrez> Move cp1089 from nginx to ats-tls - T231627

Change 551722 merged by Vgutierrez:
[operations/puppet@production] hiera: Set nginx on port 4443 for the caching clusters

https://gerrit.wikimedia.org/r/551722

Change 551723 merged by Vgutierrez:
[operations/puppet@production] hiera: Set ats-tls on port 443 globally

https://gerrit.wikimedia.org/r/551723

Change 551789 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] monitoring: remove nginx availability alerts

https://gerrit.wikimedia.org/r/551789

Change 551789 merged by Filippo Giunchedi:
[operations/puppet@production] monitoring: remove nginx availability alerts

https://gerrit.wikimedia.org/r/551789